Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.transform
[Java] Interface LogASTTransformation.LoggingStrategy

    public interface LogASTTransformation.LoggingStrategy

A LoggingStrategy defines how to wire a new logger instance into an existing class. It is meant to be used with the

Log:
  family of annotations to allow you to write your own Log annotation provider.

Method Summary
`FieldNode` | `addLoggerFieldToClass(ClassNode classNode, java.lang.String fieldName)` In this method, you are given a ClassNode and a field name, and you must add a new Field onto the class.
`boolean` | `isLoggingMethod(java.lang.String methodName)`
`Expression` | `wrapLoggingMethodCall(Expression logVariable, java.lang.String methodName, Expression originalExpression)`

Method Detail

### addLoggerFieldToClass

    public FieldNode addLoggerFieldToClass(ClassNode classNode, java.lang.String fieldName)

  In this method, you are given a ClassNode and a field name, and you must add a new Field onto the class. Return the result of the ClassNode.addField operations.
  Parameters:
    `classNode` - the class that was originally annotated with the Log transformation.
    `fieldName` - the name of the logger field
  Returns:
    the FieldNode instance that was created and added to the class

### isLoggingMethod

    public boolean isLoggingMethod(java.lang.String methodName)

### wrapLoggingMethodCall

    public Expression wrapLoggingMethodCall(Expression logVariable, java.lang.String methodName, Expression originalExpression)

Groovy Documentation